local debugWorldDraw = require("debugWorldDraw")


require("player")
require("object")



world = love.physics.newWorld(0, 300 , true)
love.physics.setMeter(1)

function love.load()
	love.graphics.setBackgroundColor(255,124,124)
	myPlayer = createPlayer(0,0,32,32,"player_one",world)
	
	--you could change here
				-- posx , pos y, width , height
	ground = object(0,200,64,64,"ground",world)
end

function love.draw()
	debugWorldDraw(world,0,0,love.graphics.getDimensions())
	--myPlayer.draw()
	--ground.draw()
end

function love.keypressed(key)
	if key == "escape" then
		love.event.push("quit")
	end
end

function love.update(dt)
	ground.update()
	myPlayer.update(dt)
	world:update(dt)
end
