
function createPlayer( x , y , width , height , id,world)

	local player = {}
		player.x = x
		player.y = y
		player.width = width
		player.height = height
		player.id = id
		player.body = love.physics.newBody(world,player.x,player.y,"dynamic")
		player.shape = love.physics.newRectangleShape(player.width,player.height)
		player.fixture = love.physics.newFixture(player.body,player.shape,1)
		player.fixture:setRestitution(0.1)

	function player:getX()
		return player.x
	end
	
	function player:setX(value)
		player.x = value
	end
	function player:setY(value)
		player.y = value
	end
	
	function player:getY()
		return player.y
	end
	
	function player:getWidth()
		return player.width
	end
	
	function player.getHeight()
		return player.height
	end
	
	function player.update(dt)
		player.x = player.body:getX()
		player.y = player.body:getY()
		
		if love.keyboard.isDown("d") then
			player.body:applyForce(0,-1000 *dt)
		end
		
	end
	
	function player.draw()
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("line",player.body:getX(),player.body:getY(),player.width,player.height)
	end


	return player

end