
function object( x , y , width , height , id,world)

	local object = {}
		object.x = x
		object.y = y
		object.width = width
		object.height = height
		object.id = id
		object.body = love.physics.newBody(world,object.x,object.y,"static")
		object.shape = love.physics.newRectangleShape(object.width,object.height)
		object.fixture = love.physics.newFixture(object.body,object.shape,1)
		object.fixture:setRestitution(0.1)

	function object.getWidth()
		return object.width
	end
	
	function object.getHeight()
		return object.height
	end
	
	function object.update()
		object.x = object.body:getX()
		object.y = object.body:getY()
	end
	
	function object.draw()
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("line",object.body:getX(),object.body:getY(),object.width,object.height)
	end


	return object

end